Carillon docs
Api keys

Create an API key

POST
/v1/apps/{appId}/keys

Authorization

SessionToken
AuthorizationBearer <token>

A session token, sent as Authorization: Bearer …. Sign in on the dashboard to obtain one, or run carillon login. Management endpoints require a session token.

In: header

Path Parameters

appId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/keys" \  -H "Content-Type: application/json" \  -d '{    "type": "secret",    "mode": "live"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "type": "secret",  "mode": "live",  "prefix": "string",  "label": "string",  "secret": "string",  "revoked_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z"}